/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.individu;

import javax.swing.JDialog;

import org.cocktail.mangue.client.gui.promotions.PromouvabilitesView;
import org.cocktail.mangue.common.utilities.CocktailIcones;



public class InfosPersonnellesView extends JDialog {

	private static final long serialVersionUID = -6195866169790317637L;

	/** Creates new form TemplateJDialog */
    public InfosPersonnellesView(java.awt.Frame parent, boolean modal) {
		super(parent, modal);
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        jPanel1 = new javax.swing.JPanel();
        checkRibs = new javax.swing.JRadioButton();
        checkEnfants = new javax.swing.JRadioButton();
        checkComptes = new javax.swing.JRadioButton();
        checkAdresses = new javax.swing.JRadioButton();
        checkConjoint = new javax.swing.JRadioButton();
        checkTelephones = new javax.swing.JRadioButton();
        checkSituation = new javax.swing.JRadioButton();
        checkNumeroUrgence = new javax.swing.JRadioButton();
        checkBlocNotes = new javax.swing.JRadioButton();
        checkEtatCivil = new javax.swing.JRadioButton();
        jPanel2 = new javax.swing.JPanel();
        swapView = new javax.swing.JPanel();
        tfTitre = new javax.swing.JTextField();
        btnFermer = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Coordonnées");

        checkRibs.setBackground(new java.awt.Color(255, 153, 153));
        buttonGroup1.add(checkRibs);
        checkRibs.setFont(new java.awt.Font("Verdana", 0, 12));
        checkRibs.setText("Ribs");
        checkRibs.setToolTipText("Coordonnées bancaires");
        checkRibs.setBorderPainted(true);
        checkRibs.setFocusPainted(false);
        checkRibs.setFocusable(false);
        checkRibs.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkEnfants.setBackground(new java.awt.Color(204, 255, 204));
        buttonGroup1.add(checkEnfants);
        checkEnfants.setFont(new java.awt.Font("Verdana", 0, 12));
        checkEnfants.setText("Enfants");
        checkEnfants.setToolTipText("Enfants");
        checkEnfants.setBorderPainted(true);
        checkEnfants.setFocusPainted(false);
        checkEnfants.setFocusable(false);
        checkEnfants.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkComptes.setBackground(new java.awt.Color(0, 204, 204));
        buttonGroup1.add(checkComptes);
        checkComptes.setFont(new java.awt.Font("Verdana", 0, 12));
        checkComptes.setText("Messagerie");
        checkComptes.setToolTipText("Coordonnées électroniques");
        checkComptes.setBorderPainted(true);
        checkComptes.setFocusPainted(false);
        checkComptes.setFocusable(false);
        checkComptes.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkAdresses.setBackground(new java.awt.Color(204, 204, 255));
        buttonGroup1.add(checkAdresses);
        checkAdresses.setFont(new java.awt.Font("Verdana", 0, 12));
        checkAdresses.setText("Adresses");
        checkAdresses.setToolTipText("Coordonnées postales");
        checkAdresses.setBorderPainted(true);
        checkAdresses.setFocusPainted(false);
        checkAdresses.setFocusable(false);
        checkAdresses.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        checkAdresses.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkAdressesActionPerformed(evt);
            }
        });

        checkConjoint.setBackground(new java.awt.Color(204, 255, 153));
        buttonGroup1.add(checkConjoint);
        checkConjoint.setFont(new java.awt.Font("Verdana", 0, 12));
        checkConjoint.setText("Conjoint");
        checkConjoint.setToolTipText("Données Conjoint");
        checkConjoint.setBorderPainted(true);
        checkConjoint.setFocusPainted(false);
        checkConjoint.setFocusable(false);
        checkConjoint.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkTelephones.setBackground(new java.awt.Color(255, 204, 255));
        buttonGroup1.add(checkTelephones);
        checkTelephones.setFont(new java.awt.Font("Verdana", 0, 12));
        checkTelephones.setText("Téléphones");
        checkTelephones.setToolTipText("Coordonnées téléphoniques");
        checkTelephones.setBorderPainted(true);
        checkTelephones.setFocusPainted(false);
        checkTelephones.setFocusable(false);
        checkTelephones.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkSituation.setBackground(new java.awt.Color(153, 204, 255));
        buttonGroup1.add(checkSituation);
        checkSituation.setFont(new java.awt.Font("Verdana", 0, 12));
        checkSituation.setText("Sit. Familiale");
        checkSituation.setToolTipText("Situations familiales");
        checkSituation.setBorderPainted(true);
        checkSituation.setFocusPainted(false);
        checkSituation.setFocusable(false);
        checkSituation.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkNumeroUrgence.setBackground(new java.awt.Color(255, 204, 153));
        buttonGroup1.add(checkNumeroUrgence);
        checkNumeroUrgence.setFont(new java.awt.Font("Verdana", 0, 12));
        checkNumeroUrgence.setText("N° d'urgence");
        checkNumeroUrgence.setToolTipText("Personne à contacter en cas d'urgence");
        checkNumeroUrgence.setBorderPainted(true);
        checkNumeroUrgence.setFocusPainted(false);
        checkNumeroUrgence.setFocusable(false);
        checkNumeroUrgence.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkBlocNotes.setBackground(new java.awt.Color(0, 204, 153));
        buttonGroup1.add(checkBlocNotes);
        checkBlocNotes.setFont(new java.awt.Font("Verdana", 0, 12));
        checkBlocNotes.setText("Bloc Notes");
        checkBlocNotes.setToolTipText("Notes personnelles");
        checkBlocNotes.setBorderPainted(true);
        checkBlocNotes.setFocusPainted(false);
        checkBlocNotes.setFocusable(false);
        checkBlocNotes.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkEtatCivil.setBackground(new java.awt.Color(204, 255, 255));
        buttonGroup1.add(checkEtatCivil);
        checkEtatCivil.setFont(new java.awt.Font("Verdana", 0, 12));
        checkEtatCivil.setText("Etat civil");
        checkEtatCivil.setToolTipText("");
        checkEtatCivil.setBorderPainted(true);
        checkEtatCivil.setFocusPainted(false);
        checkEtatCivil.setFocusable(false);
        checkEtatCivil.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        checkEtatCivil.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkEtatCivilActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(checkAdresses, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE)
                    .add(checkTelephones, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE)
                    .add(checkEnfants, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE)
                    .add(checkSituation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE)
                    .add(checkConjoint, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE)
                    .add(checkComptes, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE)
                    .add(checkRibs, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, checkNumeroUrgence, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE)
                    .add(checkBlocNotes, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE)
                    .add(checkEtatCivil, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(checkEtatCivil)
                .add(15, 15, 15)
                .add(checkAdresses)
                .add(18, 18, 18)
                .add(checkTelephones)
                .add(18, 18, 18)
                .add(checkEnfants)
                .add(18, 18, 18)
                .add(checkSituation)
                .add(20, 20, 20)
                .add(checkNumeroUrgence)
                .add(18, 18, 18)
                .add(checkConjoint)
                .add(18, 18, 18)
                .add(checkRibs)
                .add(18, 18, 18)
                .add(checkComptes)
                .add(18, 18, 18)
                .add(checkBlocNotes)
                .addContainerGap(192, Short.MAX_VALUE))
        );

        swapView.setLayout(new java.awt.CardLayout());

        tfTitre.setBackground(new java.awt.Color(255, 204, 204));
        tfTitre.setEditable(false);
        tfTitre.setFont(new java.awt.Font("Verdana", 0, 14));
        tfTitre.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitre.setText("DIVERS");
        tfTitre.setAutoscrolls(false);
        tfTitre.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));

        btnFermer.setText("Fermer");

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(swapView, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 763, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 113, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfTitre, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 763, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .add(tfTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(swapView, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 525, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(11, 11, 11)
                        .add(jPanel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-1001)/2, (screenSize.height-654)/2, 1001, 654);
    }// </editor-fold>//GEN-END:initComponents

    private void checkAdressesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkAdressesActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkAdressesActionPerformed

    private void checkEtatCivilActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkEtatCivilActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkEtatCivilActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                PromouvabilitesView dialog = new PromouvabilitesView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnFermer;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JRadioButton checkAdresses;
    private javax.swing.JRadioButton checkBlocNotes;
    private javax.swing.JRadioButton checkComptes;
    private javax.swing.JRadioButton checkConjoint;
    private javax.swing.JRadioButton checkEnfants;
    private javax.swing.JRadioButton checkEtatCivil;
    private javax.swing.JRadioButton checkNumeroUrgence;
    private javax.swing.JRadioButton checkRibs;
    private javax.swing.JRadioButton checkSituation;
    private javax.swing.JRadioButton checkTelephones;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel swapView;
    private javax.swing.JTextField tfTitre;
    // End of variables declaration//GEN-END:variables
        
    private void initGui() {
    	setTitle("");
    	btnFermer.setIcon(CocktailIcones.ICON_CLOSE);
    }

	public javax.swing.JRadioButton getCheckAdresses() {
		return checkAdresses;
	}

	public void setCheckAdresses(javax.swing.JRadioButton checkAdresses) {
		this.checkAdresses = checkAdresses;
	}

	public javax.swing.JRadioButton getCheckComptes() {
		return checkComptes;
	}

	public void setCheckComptes(javax.swing.JRadioButton checkComptes) {
		this.checkComptes = checkComptes;
	}

	public javax.swing.JRadioButton getCheckConjoint() {
		return checkConjoint;
	}

	public void setCheckConjoint(javax.swing.JRadioButton checkConjoint) {
		this.checkConjoint = checkConjoint;
	}

	public javax.swing.JRadioButton getCheckEnfants() {
		return checkEnfants;
	}

	public void setCheckEnfants(javax.swing.JRadioButton checkEnfants) {
		this.checkEnfants = checkEnfants;
	}

	public javax.swing.JRadioButton getCheckRibs() {
		return checkRibs;
	}

	public void setCheckRibs(javax.swing.JRadioButton checkRibs) {
		this.checkRibs = checkRibs;
	}

	public javax.swing.JRadioButton getCheckSituation() {
		return checkSituation;
	}

	public void setCheckSituation(javax.swing.JRadioButton checkSituation) {
		this.checkSituation = checkSituation;
	}

	public javax.swing.JRadioButton getCheckTelephones() {
		return checkTelephones;
	}

	public void setCheckTelephones(javax.swing.JRadioButton checkTelephones) {
		this.checkTelephones = checkTelephones;
	}

	public javax.swing.JPanel getSwapView() {
		return swapView;
	}

	public void setSwapView(javax.swing.JPanel swapView) {
		this.swapView = swapView;
	}

	public javax.swing.JTextField getTfTitre() {
		return tfTitre;
	}

	public void setTfTitre(javax.swing.JTextField tfTitre) {
		this.tfTitre = tfTitre;
	}

	public javax.swing.JRadioButton getCheckNumeroUrgence() {
		return checkNumeroUrgence;
	}

	public void setCheckNumeroUrgence(javax.swing.JRadioButton checkNumeroUrgence) {
		this.checkNumeroUrgence = checkNumeroUrgence;
	}

	public javax.swing.JRadioButton getCheckBlocNotes() {
		return checkBlocNotes;
	}

	public void setCheckBlocNotes(javax.swing.JRadioButton checkBlocNotes) {
		this.checkBlocNotes = checkBlocNotes;
	}

	public javax.swing.JButton getBtnFermer() {
		return btnFermer;
	}

	public void setBtnFermer(javax.swing.JButton btnFermer) {
		this.btnFermer = btnFermer;
	}

	public javax.swing.JRadioButton getCheckEtatCivil() {
		return checkEtatCivil;
	}

	public void setCheckEtatCivil(javax.swing.JRadioButton checkEtatCivil) {
		this.checkEtatCivil = checkEtatCivil;
	}



}
